<?php
$this->PageTitle = "Metas de Vendas &raquo; {$ano} &raquo; Definir Metas de Novas Unidades";
if (count($revendas) > 1) {
    echo CHtml::label("Selecione a unidade de negócios", 'selecionaUnidade');
    echo CHtml::dropDownList(
        'unidade',
        $revenda,
        $revendas,
        array('id' => 'selecionaUnidade', 'prompt' => 'Selecione')
    );
}

$cs = Yii::app()->getClientScript();
if ($revenda) {
	$this->PageTitle .= " &raquo; {$nomeRevenda}";
	$include = '_form_cadastro_nova_unidade';
	$this->renderPartial($include, array(
	    'model' => $model,
        'revenda' => $revenda,
        'nomeRevenda' => $nomeRevenda,
	    'ano' => $ano,
	    'abaRevisao' => $abaRevisao,
	));
	$cs->registerCssFile(FaHtml::getCssUrl('metas.css'));
}

$script = <<<JAVASCRIPT
    $(document).on('change', '#selecionaUnidade', function(event) {
        var url = createUrl('metasVendas/createNovasUnidades', {
            revenda: $(this).val()
        });
        window.location.replace(url);
    });
JAVASCRIPT;
$cs->registerScript(Util::uid(), $script);